<script type="text/javascript">
var productcomments_controller_url = '{$productcomments_controller_url}';
var confirm_report_message = "{l s='Are you sure you want report this comment?' mod='productcomments'}";
var secure_key = "{$secure_key}";
var productcomments_url_rewrite = '{$productcomments_url_rewriting_activated}';
</script>

<div id="idTab5" class="tab-pane">
    {if file_exists("$tpl_dir./modules/productcomments/review.tpl")}
        {include file="$tpl_dir./modules/productcomments/review.tpl"}
    {else}
        <div id="product_comments_block_tab">
            {if $comments}
                {foreach from=$comments item=comment}
                    {if $comment.content}
                    <div class="comment clearfix">
                        <div class="comment_author">
                            <span>{l s='Grade' mod='productcomments'}&nbsp</span>
                            <div class="star_content clearfix">
                            {section name="i" start=0 loop=5 step=1}
                                {if $comment.grade le $smarty.section.i.index}
                                    <div class="star"></div>
                                {else}
                                    <div class="star star_on"></div>
                                {/if}
                            {/section}
                            </div>
                            <div class="comment_author_infos">
                                <strong>{$comment.customer_name|escape:'html':'UTF-8'}</strong><br/>
                                <em>{dateFormat date=$comment.date_add|escape:'html':'UTF-8' full=0}</em>
                            </div>
                        </div>
                        <div class="comment_details">
                            <h4 class="title_block">{$comment.title}</h4>
                            <p>{$comment.content|escape:'html':'UTF-8'|nl2br}</p>
                            <ul>
                                {if $comment.total_advice > 0}
                                    <li>{l s='%1$d out of %2$d people found this review useful.' sprintf=[$comment.total_useful,$comment.total_advice] mod='productcomments'}</li>
                                {/if}
                                {if $logged}
                                    {if !$comment.customer_advice}
                                    <li>{l s='Was this comment useful to you?' mod='productcomments'}<button class="usefulness_btn" data-is-usefull="1" data-id-product-comment="{$comment.id_product_comment}">{l s='yes' mod='productcomments'}</button><button class="usefulness_btn" data-is-usefull="0" data-id-product-comment="{$comment.id_product_comment}">{l s='no' mod='productcomments'}</button></li>
                                    {/if}
                                    {if !$comment.customer_report}
                                    <li><span class="report_btn" data-id-product-comment="{$comment.id_product_comment}">{l s='Report abuse' mod='productcomments'}</span></li>
                                    {/if}
                                {/if}
                            </ul>
                        </div>
                    </div>
                    {/if}
                {/foreach}
                {if (!$too_early AND ($logged OR $allow_guests))}

                <p class="align_center">
                    <a id="new_comment_tab_btn" class="open-comment-form" href="#new_comment_form">{l s='Write your review' mod='productcomments'} !</a>
                </p>
                {/if}
            {else}
                {if (!$too_early AND ($logged OR $allow_guests))}
                <p class="align_center">
                    <a id="new_comment_tab_btn" class="open-comment-form" href="#new_comment_form">{l s='Be the first to write your review' mod='productcomments'} !</a>
                </p>
                {else}
                <p class="align_center">{l s='No customer reviews for the moment.' mod='productcomments'}</p>
                {/if}
            {/if}
        </div>
    {/if}
</div>

{if version_compare($smarty.const._PS_VERSION_,'1.6','>=') && file_exists("$tpl_dir./modules/productcomments/defines.tpl")}
    {include file="$tpl_dir./modules/productcomments/defines.tpl"}
{/if}