{if isset($orderby) AND isset($orderway)}
    {* On 1.5 the var request is setted on the front controller. The next lines assure the retrocompatibility with some modules *}
    {if !isset($request)}
        <!-- Sort products -->
        {if isset($smarty.get.id_category) && $smarty.get.id_category}
            {assign var='request' value=$link->getPaginationLink('category', $category, false, true)}
        {elseif isset($smarty.get.id_manufacturer) && $smarty.get.id_manufacturer}
            {assign var='request' value=$link->getPaginationLink('manufacturer', $manufacturer, false, true)}
        {elseif isset($smarty.get.id_supplier) && $smarty.get.id_supplier}
            {assign var='request' value=$link->getPaginationLink('supplier', $supplier, false, true)}
        {else}
            {assign var='request' value=$link->getPaginationLink(false, false, false, true)}
        {/if}
    {/if}

    {assign var=isBdPreview value=isset($smarty.get.theme_name)}
    {if isset($isBdPreview) && $isBdPreview} {* Added to support product sorting form action in preview mode *}
        {assign var=theme_name value=$tpl_dir|regex_replace:'/(.*)([\/\\\]themes[\/\\\])(.*)(_preview[\/\\\]$)/':'$3'}
        {assign var=request value=$request|replace:"theme_name={$theme_name}":''}
    {/if}
    
<script type="text/javascript">
//<![CDATA[
$(document).ready(function()
{
    $('.selectProductSort').change(function()
    {
        var requestSortProducts = '{$request}';
        var splitData = $(this).val().split(':');
        document.location.href = requestSortProducts + ((requestSortProducts.indexOf('?') < 0) ? '?' : '&') + 'orderby=' + splitData[0] + '&orderway=' + splitData[1];
    });
});
//]]>
</script>

    {if (version_compare($smarty.const._PS_VERSION_,'1.6','<'))}
        <form id="productsSortForm" action="{$request|escape:'htmlall':'UTF-8'}">
            <div class=" bd-productssorter-1">
                <p class="select">
                    <label for="selectPrductSort">{l s='Sort by'}</label>
                    <select id="selectPrductSort" class="selectProductSort">
                        <option value="{$orderbydefault|escape:'htmlall':'UTF-8'}:{$orderwaydefault|escape:'htmlall':'UTF-8'}" {if $orderby eq $orderbydefault}selected="selected"{/if}>{l s='--'}</option>
                        {if !$PS_CATALOG_MODE}
                            <option value="price:asc" {if $orderby eq 'price' AND $orderway eq 'asc'}selected="selected"{/if}>{l s='Price: lowest first'}</option>
                            <option value="price:desc" {if $orderby eq 'price' AND $orderway eq 'desc'}selected="selected"{/if}>{l s='Price: highest first'}</option>
                        {/if}
                        <option value="name:asc" {if $orderby eq 'name' AND $orderway eq 'asc'}selected="selected"{/if}>{l s='Product Name: A to Z'}</option>
                        <option value="name:desc" {if $orderby eq 'name' AND $orderway eq 'desc'}selected="selected"{/if}>{l s='Product Name: Z to A'}</option>
                        {if !$PS_CATALOG_MODE}
                            <option value="quantity:desc" {if $orderby eq 'quantity' AND $orderway eq 'desc'}selected="selected"{/if}>{l s='In-stock first'}</option>
                        {/if}
                    </select>
                </p>
            </div>
        </form>
    {else}
        <form id="productsSortForm{if isset($paginationId)}_{$paginationId}{/if}" action="{$request|escape:'html':'UTF-8'}" class="productsSortForm">
            <div class=" bd-productssorter-1">
                <label for="selectProductSort{if isset($paginationId)}_{$paginationId}{/if}">{l s='Sort by'}</label>
                <select id="selectProductSort{if isset($paginationId)}_{$paginationId}{/if}" class="selectProductSort">
                    <option value="{$orderbydefault|escape:'html':'UTF-8'}:{$orderwaydefault|escape:'html':'UTF-8'}" {if $orderby eq $orderbydefault}selected="selected"{/if}>--</option>

                    {if !$PS_CATALOG_MODE}
                        <option value="price:asc" {if $orderby eq 'price' AND $orderway eq 'asc'}selected="selected"{/if}>{l s='Price: Lowest first'}</option>
                        <option value="price:desc" {if $orderby eq 'price' AND $orderway eq 'desc'}selected="selected"{/if}>{l s='Price: Highest first'}</option>
                    {/if}
                    <option value="name:asc" {if $orderby eq 'name' AND $orderway eq 'asc'}selected="selected"{/if}>{l s='Product Name: A to Z'}</option>
                    <option value="name:desc" {if $orderby eq 'name' AND $orderway eq 'desc'}selected="selected"{/if}>{l s='Product Name: Z to A'}</option>
                    {if $PS_STOCK_MANAGEMENT && !$PS_CATALOG_MODE}
                        <option value="quantity:desc" {if $orderby eq 'quantity' AND $orderway eq 'desc'}selected="selected"{/if}>{l s='In stock'}</option>
                    {/if}
                    <option value="reference:asc" {if $orderby eq 'reference' AND $orderway eq 'asc'}selected="selected"{/if}>{l s='Reference: Lowest first'}</option>
                    <option value="reference:desc" {if $orderby eq 'reference' AND $orderway eq 'desc'}selected="selected"{/if}>{l s='Reference: Highest first'}</option>
                </select>
            </div>
        </form>
        <!-- /Sort products -->
        {if (!isset($paginationId) || $paginationId == '') && isset($request)}
            {addJsDef request=$request}
        {/if}
    {/if}
{/if}